#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCdialog.h>
#include <WSCinputDialog.h>
#include <WSDmessage.h>

extern WSCinputDialog* newinpu_000;
void startop(WSCbase* object){
  WSCdialog* dialog = (WSCdialog*)object->cast("WSCdialog");
  if (dialog == NULL){
    return;
  }
  if (dialog->getStatus() != WS_DIALOG_OK){
    return;
  }
  long ret = newinpu_000->popup(); 
  if (ret == WS_DIALOG_OK){
    WSCstring str;
    str = newinpu_000->getProperty(WSNlabelString);
    WSDmessage::extSendMessage(NULL,(char*)str,"1");
//printf("start... %s\n",(char*)str);
  }
}
static WSCfunctionRegister  op("startop",(void*)startop);
